## org.python.core
Class IdImpl

    java.lang.Object
      org.python.core.IdImpl

Direct Known Subclasses:
  IdImpl1, IdImpl2

    public abstract class IdImpl

extends java.lang.Object

Constructor Summary
`IdImpl()`

Method Summary
`static IdImpl` `getInstance()`
`abstract long` `id(PyObject o)`
`abstract java.lang.String` `idstr(PyObject o)`
`abstract long` `java_obj_id(java.lang.Object o)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdImpl

    public IdImpl()

Method Detail

### getInstance

    public static IdImpl getInstance()

### id

    public abstract long id(PyObject o)

### idstr

    public abstract java.lang.String idstr(PyObject o)

### java_obj_id

    public abstract long java_obj_id(java.lang.Object o)

Jython homepage